# Uses of Interface
org.apache.sling.feature.launcher.spi.LauncherPrepareContext

Packages that use LauncherPrepareContext
Package
Description
org.apache.sling.feature.launcher.impl.launchers
org.apache.sling.feature.launcher.spi
org.apache.sling.feature.launcher.spi.extensions

## Uses of LauncherPrepareContext in org.apache.sling.feature.launcher.impl.launchers

Methods in org.apache.sling.feature.launcher.impl.launchers with parameters of type LauncherPrepareContext
Modifier and Type
Method
Description
`void`
FrameworkLauncher.`prepare(LauncherPrepareContext context, org.apache.sling.feature.ArtifactId frameworkId, org.apache.sling.feature.Feature app)`

## Uses of LauncherPrepareContext in org.apache.sling.feature.launcher.spi

Methods in org.apache.sling.feature.launcher.spi with parameters of type LauncherPrepareContext
Modifier and Type
Method
Description
`void`
Launcher.`prepare(LauncherPrepareContext context, org.apache.sling.feature.ArtifactId frameworkId, org.apache.sling.feature.Feature app)`

## Uses of LauncherPrepareContext in org.apache.sling.feature.launcher.spi.extensions

Subinterfaces of LauncherPrepareContext in org.apache.sling.feature.launcher.spi.extensions
Modifier and Type
Interface
Description
`interface`
`ExtensionContext`
This context object is provided to launcher extensions.